Loading ...
Sorry, an error occurred while loading the content.

Python25 - issue with distutils.cfg patch for optware

Expand Messages
  • ptnemot
    When trying to install EasyInstall for Python I discovered an issue with the current Python 2.5 package. In the Optware package there is a patch included for
    Message 1 of 2 , Nov 6, 2006
    • 0 Attachment
      When trying to install EasyInstall for Python I discovered an issue
      with the current Python 2.5 package. In the Optware package there is
      a patch included for the distutils.cfg file (see http://trac.nslu2-
      linux.org/optware/browser/trunk/sources/python25/Lib-distutils-
      distutils.cfg.patch), however this patch is still based on Python
      2.4. Due to this the installation of Easy Setup fails.

      The patch itself sets the following values:

      [install]
      prefix = /opt/local
      [easy_install]
      site-dirs = /opt/local/lib/python2.4/site-packages

      Instead the following values should be used:

      [install]
      prefix = /opt
      [easy_install]
      site-dirs = /opt/lib/python2.5/site-packages

      When doing this change Easy Setup will install and work fine.

      Would it be possible for the package maintainer to update this so
      that it works out-of-the-box in the future?

      Kind regards,

      Peter.
    • Brian Zhou
      Done. Thanks, -Brian
      Message 2 of 2 , Nov 6, 2006
      • 0 Attachment
        Done.

        Thanks,

        -Brian

        --- In nslu2-general@yahoogroups.com, "ptnemot" <groups@...> wrote:
        >
        > When trying to install EasyInstall for Python I discovered an issue
        > with the current Python 2.5 package. In the Optware package there is
        > a patch included for the distutils.cfg file (see http://trac.nslu2-
        > linux.org/optware/browser/trunk/sources/python25/Lib-distutils-
        > distutils.cfg.patch), however this patch is still based on Python
        > 2.4. Due to this the installation of Easy Setup fails.
        >
        > The patch itself sets the following values:
        >
        > [install]
        > prefix = /opt/local
        > [easy_install]
        > site-dirs = /opt/local/lib/python2.4/site-packages
        >
        > Instead the following values should be used:
        >
        > [install]
        > prefix = /opt
        > [easy_install]
        > site-dirs = /opt/lib/python2.5/site-packages
        >
        > When doing this change Easy Setup will install and work fine.
        >
        > Would it be possible for the package maintainer to update this so
        > that it works out-of-the-box in the future?
        >
        > Kind regards,
        >
        > Peter.
        >
      Your message has been successfully submitted and would be delivered to recipients shortly.